Subject: Re: [PATCH 2/9] commit-graph: stop using signed integers to count bloom filters

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 Aug 2025 08:13:17 -0700

Junio C Hamano <[email-masked]> writes:

> Each of your "stuff" may weigh N megabytes in core, and if you have
> M of them, you may have to ask (N*2**20)*M bytes of memory from the
> allocator.  Your (N*2**20)*M must fit size_t _and_ you must compute
> it without overflowing or wrapping around.
>
> None of the above mean you have to express N in size_t, though.

Small correction.  I meant "there is no reason to count M in size_t"
in the above.  I am perfectly OK with expressing N in size_t.